
from TOSSIM import *
import sys

t=Tossim([])
r=t.radio()
f=open("topo.txt","r")

lines=f.readlines()
for line in lines:
 s=line.split()
 if(len(s)>0):
  if s[0] == "gain":
   print" ",s[1]," ",s[2]," ",s[3];
   r.add(int(s[1]), int(s[2]), float(s[3]))

noise=open("meyer-short.txt","r")
lines=noise.readlines()
for line in lines:
 str=line.strip()
 if (str!= ""):	          
   val = int(str)
   for i in range(1,51):
    t.getNode(i).addNoiseTraceReading(val)
for i in range(1,51):
 print"Creating noise model for",i;
 t.getNode(i).createNoiseModel()

t.getNode(1).bootAtTime(10001);
t.getNode(2).bootAtTime(20001);
t.getNode(3).bootAtTime(30001);
t.getNode(4).bootAtTime(40001);
t.getNode(5).bootAtTime(50001);
t.getNode(6).bootAtTime(60001);
t.getNode(7).bootAtTime(70001);
t.getNode(8).bootAtTime(80001);
t.getNode(9).bootAtTime(90001);
t.getNode(10).bootAtTime(100001);
t.getNode(11).bootAtTime(110001);
t.getNode(12).bootAtTime(120001);
t.getNode(13).bootAtTime(130001);
t.getNode(14).bootAtTime(140001);
t.getNode(15).bootAtTime(150001);
t.getNode(16).bootAtTime(160001);
t.getNode(17).bootAtTime(170001);
t.getNode(18).bootAtTime(180001);
t.getNode(19).bootAtTime(190001);
t.getNode(20).bootAtTime(200001);
t.getNode(21).bootAtTime(210001);
t.getNode(22).bootAtTime(220001);
t.getNode(23).bootAtTime(230001);
t.getNode(24).bootAtTime(240001);
t.getNode(25).bootAtTime(250001);
t.getNode(26).bootAtTime(260001);
t.getNode(27).bootAtTime(270001);
t.getNode(28).bootAtTime(280001);
t.getNode(29).bootAtTime(290001);
t.getNode(30).bootAtTime(300001);
t.getNode(31).bootAtTime(310001);
t.getNode(32).bootAtTime(320001);
t.getNode(33).bootAtTime(330001);
t.getNode(34).bootAtTime(340001);
t.getNode(35).bootAtTime(350001);
t.getNode(36).bootAtTime(360001);
t.getNode(37).bootAtTime(370001);
t.getNode(38).bootAtTime(380001);
t.getNode(39).bootAtTime(390001);
t.getNode(40).bootAtTime(400001);
t.getNode(41).bootAtTime(410001);
t.getNode(42).bootAtTime(420001);
t.getNode(43).bootAtTime(430001);
t.getNode(44).bootAtTime(440001);  
t.getNode(45).bootAtTime(450001);
t.getNode(46).bootAtTime(460001);
t.getNode(47).bootAtTime(470001);
t.getNode(48).bootAtTime(480001);
t.getNode(49).bootAtTime(490001);
t.getNode(50).bootAtTime(500001);

f=open("log.txt","w")
t.addChannel("Boot",f)
t.addChannel("Forward",f)
t.addChannel("Forward",sys.stdout)
t.addChannel("Boot",sys.stdout)

for i in range(0,100000):
 t.runNextEvent()

#t.runNextEvent();
#time=t.time()
#while(time+100000000000>t.time()):
# t.runNextEvent()

